<!DOCTYPE html>
<html lang="en">
  <%- include("../partials/head.ejs") %>
  <body class="admin">
    <%- include("../partials/nav_admin.ejs") %>
    <div class="container">
      <div class="row">
        <div class="col-lg-3"><%- include("../partials/sidebar_admin.ejs") %></div>
        <div class="col-lg-9 mt-5">
          <div class="row">
            <div class="content-justify-end">
              <button type="button" class="btn btn-primary btn-add float-end" data-bs-toggle="modal" data-bs-target="#addModal"><i class="bi bi-plus"></i>Add Category</button>
              <div class="modal fade" id="addModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="addModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content edit-categories">
                    <div class="row align-self-end">
                      <button type="button" class="mt-5 me-5 btn-sm btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>

                    <h4 class="pt-5 text-center" id="editModalLabel">
                      <strong>Add Categories</strong>
                    </h4>
                    <form method="POST" action="">
                      <div class="container">
                        <div class="container justify-content-center">
                          <div class="mt-3">
                            <label for="nameCategory" class="pt-3 form-label text-uppercase mb-3">name</label>
                            <div class="input-group mb-3">
                              <input type="text" class="form-control" id="nameCategory" aria-describedby="inputGroupPrepend" required placeholder="Add New Category" />
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="d-grid gap-2 col-5 mx-auto mb-5">
                        <button class="btn btn-primary btn-save-category" type="submit">Save</button>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="content-categories ms-5">
            <p class="category text-center">categories</p>
            <!-- category form -->
            <div class="row">
              <div class="col-md-6">
                <form method="GET" action="">
                  <input class="form-control" id="disabledInput" type="text" placeholder="Charity & Causes" disabled />
                </form>
              </div>
              <!-- button group edit -->
              <div class="col-md-4">
                <div class="input-group mb-3">
                  <button class="btn btn-outline-secondary btn-pencil" type="button" data-bs-toggle="modal" data-bs-target="#editModal">
                    <i class="bi bi-pencil"></i>
                  </button>

                  <!-- modal edit -->
                  <div class="modal fade" id="editModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="editModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered">
                      <div class="modal-content edit-categories">
                        <div class="row align-self-end">
                          <button type="button" class="mt-5 me-5 btn-sm btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>

                        <h4 class="pt-5 text-center" id="editModalLabel">
                          <strong>Edit Categories</strong>
                        </h4>
                        <form method="POST" action="">
                          <div class="container">
                            <div class="container justify-content-center">
                              <div class="mt-3">
                                <label for="nameCategory" class="pt-3 form-label text-uppercase mb-3">name</label>
                                <div class="input-group mb-3">
                                  <input type="text" class="form-control" id="nameCategory" aria-describedby="inputGroupPrepend" required placeholder="Edit Category" />
                                </div>
                              </div>
                            </div>
                          </div>

                          <div class="d-grid gap-2 col-5 mx-auto mb-5">
                            <button class="btn btn-primary btn-save-category" type="submit">Save Changes</button>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <!-- modal delete -->
                  <button class="btn btn-outline-secondary btn-trash" type="button" data-bs-toggle="modal" data-bs-target="#deleteModal">
                    <i class="bi bi-trash"></i>
                  </button>
                  <div class="modal fade" id="deleteModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered">
                      <div class="modal-content edit-categories">
                        <div class="row align-self-end">
                          <button type="button" class="mt-5 me-5 btn-sm btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>

                        <div class="img-trash pulsate-fwd text-center mt-5 mb-5">
                          <img src="trash.svg" alt="" />
                        </div>

                        <h5 class="text-center mb-4">Are you sure?</h5>

                        <div class="btn-toolbar mx-auto" role="toolbar" aria-label="Toolbar with button groups">
                          <button type="button" class="btn btn-secondary">No</button>
                          <button type="button" class="btn btn-secondary">yes</button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- other category -->
            <!-- category form -->
            <div class="row">
              <div class="col-md-6">
                <form method="GET" action="">
                  <input class="form-control" id="disabledInput" type="text" placeholder="Entertainment" disabled />
                </form>
              </div>
              <!-- button group edit & delete -->
              <div class="col-md-4">
                <div class="input-group mb-3">
                  <button class="btn btn-outline-secondary btn-pencil" type="button" data-bs-toggle="modal" data-bs-target="#editModal">
                    <i class="bi bi-pencil"></i>
                  </button>

                  <!-- modal edit -->
                  <div class="modal fade" id="editModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="editModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered">
                      <div class="modal-content edit-categories">
                        <div class="row align-self-end">
                          <button type="button" class="mt-5 me-5 btn-sm btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>

                        <h4 class="pt-5 text-center" id="editModalLabel">
                          <strong>Edit Categories</strong>
                        </h4>
                        <form method="POST" action="">
                          <div class="container">
                            <div class="mt-3">
                              <label for="nameCategory" class="pt-3 form-label text-uppercase mb-3">name</label>
                              <div class="input-group mb-3">
                                <input type="text" class="form-control" id="nameCategory" aria-describedby="inputGroupPrepend" required placeholder="Edit New Category" />
                              </div>
                            </div>

                            <div class="d-grid gap-2 col-5 mx-auto mb-5">
                              <button class="btn btn-primary btn-save-category" type="submit">Save Changes</button>
                            </div>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <!-- modal delete -->
                  <button class="btn btn-outline-secondary btn-trash" type="button" data-bs-toggle="modal" data-bs-target="#deleteModal">
                    <i class="bi bi-trash"></i>
                  </button>
                  <div class="modal fade" id="deleteModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered">
                      <div class="modal-content edit-categories">
                        <div class="row align-self-end">
                          <button type="button" class="mt-5 me-5 btn-sm btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>

                        <div class="img-trash pulsate-fwd text-center mt-5 mb-5">
                          <img src="trash.svg" alt="" />
                        </div>

                        <h5 class="text-center mb-4">Are you sure?</h5>

                        <div class="btn-toolbar mx-auto" role="toolbar" aria-label="Toolbar with button groups">
                          <button type="button" class="btn btn-close btn-secondary">No</button>
                          <button type="button" class="btn btn-secondary">yes</button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- end other -->
          </div>
        </div>
      </div>
    </div>

    <%- include("../partials/footer.ejs") %> <%- include("../partials/script.ejs") %>
  </body>
</html>
